PEARL Procedures rev-distro-2.1.1-1-gf419e92-dirty Igor procedures for the analysis of PEARL data

Namespaces | Functions
pearl-scienta-countrate.ipf File Reference
ARPES package

count rate functions for Scienta detector images. More...

`#include "pearl-area-display"`

Go to the source code of this file.

## Namespaces
| PearlScientaCountrate
| count rate functions for Scienta detector images.

## Functions
variable | ScientaLiveDisplay (string epicsname, string nickname, string wbRGB)
| open live display of most recent scienta measurement More...
variable | check_exposure_opt (wave image, wave outmask, variable dwelltime, dfref calc_df=defaultValue)
| optimized check exposure and calculate overexposure indicator mask More...

## Detailed Description

count rate functions for Scienta detector images.

this procedure contains functions for working with true count rates.

Author
  matthias muntwiler, matth.nosp@m.ias..nosp@m.muntw.nosp@m.iler.nosp@m.@psi..nosp@m.ch

Copyright
  2019 Paul Scherrer Institut
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0

Definition in file pearl-scienta-countrate.ipf.

## Function Documentation

## ◆ check_exposure_opt()

variable check_exposure_opt | ( | wave | image,
|  | wave | outmask,
|  | variable | dwelltime,
|  | dfref | calc_df = `defaultValue`
| ) |  |

optimized check exposure and calculate overexposure indicator mask

calculate the local count rate density and return a mask to indicate where the maximum count rate is exceeded. the raw image is filtered by FFT with a gaussian kernel.

the raw image must have been acquired in fixed mode. slicing and dwell time are accounted for.

this function does the same as check_exposure() but keeps intermediate waves for time-optimized processing. moreover it is compatible with igor 6.

Parameters

Definition at line 150 of file pearl-scienta-countrate.ipf.

## ◆ ScientaLiveDisplay()

variable ScientaLiveDisplay | ( | string | epicsname,
|  | string | nickname,
|  | string | wbRGB
| ) |  |

open live display of most recent scienta measurement

Parameters

  epicsname | base name of the detector, e.g. X03DA-SCIENTA: image1: and cam1: are appended by the function. see ad_connect.
  nickname | nick name under which this detector is referred to in Igor. must be a valid data folder name. see ad_connect.
  wbRGB | window background color, e.g. "32768,49152,55296"

Definition at line 43 of file pearl-scienta-countrate.ipf.